Loading...
Searching...
No Matches
pcl::ColorGradientModality< PointInT >::Candidate Struct Reference

Candidate for a feature (used in feature extraction methods). More...

`#include <pcl/recognition/color_gradient_modality.h>`

## Public Member Functions

bool | operator< (const Candidate &rhs) const
| Operator for comparing to candidates (by magnitude of the gradient).

## Public Attributes

GradientXY | gradient
| The gradient.
int | x
| The x-position.
int | y
| The y-position.

## Detailed Description

template<typename PointInT>
struct pcl::ColorGradientModality< PointInT >::Candidate

Candidate for a feature (used in feature extraction methods).

Definition at line 64 of file color_gradient_modality.h.

## Member Function Documentation

## operator<()

template<typename PointInT>

bool pcl::ColorGradientModality< PointInT >::Candidate::operator< | ( | const Candidate & | rhs | ) | const

inline

Operator for comparing to candidates (by magnitude of the gradient).

Parameters

  [in] | rhs | the candidate to compare with.

Definition at line 77 of file color_gradient_modality.h.

References gradient, and pcl::GradientXY::magnitude.

## Member Data Documentation

## gradient

template<typename PointInT>

GradientXY pcl::ColorGradientModality< PointInT >::Candidate::gradient

The gradient.

Definition at line 67 of file color_gradient_modality.h.

Referenced by pcl::ColorGradientModality< PointInT >::extractAllFeatures(), pcl::ColorGradientModality< PointInT >::extractFeatures(), and operator<().

## x

template<typename PointInT>

int pcl::ColorGradientModality< PointInT >::Candidate::x

The x-position.

Definition at line 70 of file color_gradient_modality.h.

Referenced by pcl::ColorGradientModality< PointInT >::extractAllFeatures(), and pcl::ColorGradientModality< PointInT >::extractFeatures().

## y

template<typename PointInT>

int pcl::ColorGradientModality< PointInT >::Candidate::y

The y-position.

Definition at line 72 of file color_gradient_modality.h.

Referenced by pcl::ColorGradientModality< PointInT >::extractAllFeatures(), and pcl::ColorGradientModality< PointInT >::extractFeatures().

The documentation for this struct was generated from the following file:

- pcl/recognition/color_gradient_modality.h